%define _class          Image
%define _subclass       Canvas
%define upstream_name       %{_class}_%{_subclass}

Name:           php-pear-%{upstream_name}
Version:        0.3.1
Release:        %mkrel 5
Summary:        Common interface to image drawing
License:        PHP License
Group:          Development/PHP
URL:            http://pear.php.net/package/Image_Canvas/
Source0:        http://download.pear.php.net/package/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:       php-gd
Requires:       php-pear-Image_Color >= 1.0.0
Requires:       php-pear
BuildArch:      noarch
BuildRequires:  php-pear
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
A package providing a common interface to image drawing,
making image source code independent on the library used.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
rm -rf %{buildroot}

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean
rm -rf %{buildroot}

%post
%if %mdkversion < 201000
pear install --nodeps --soft --force --register-only \
    %{_datadir}/pear/packages/%{upstream_name}.xml >/dev/null || :
%endif

%preun
%if %mdkversion < 201000
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi
%endif

%files
%defattr(-,root,root)
%doc %{upstream_name}-%{version}/docs/*
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Fri Dec 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.1-5mdv2010.1
+ Revision: 473541
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.3.1-4mdv2010.0
+ Revision: 441195
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.3.1-3mdv2009.1
+ Revision: 322136
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3.1-2mdv2009.0
+ Revision: 236895
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 23 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3.1-1mdv2008.0
+ Revision: 54563
- 0.3.1


* Mon Oct 16 2006 David Walluck <walluck@mandriva.org> 0.3.0-2mdv2006.0
+ Revision: 65352
+ Status: not released
- $2

* Sun Oct 15 2006 David Walluck <walluck@mandriva.org> 0.3.0-1mdv2007.1
+ Revision: 64942
- Import php-pear-Image_Canvas

* Sat Sep 23 2006 David Walluck <walluck@mandriva.org> 0.3.0-1mdv2007.1
- release

